Page MenuHomePhabricator

Blueprint skin has no footer or replacement (so no copyright)
Closed, ResolvedPublic

Description

Blueprint doesn't run $this->getFooterLinks or offer a replacement of it that provides any of the copyright/privacy/about/disclaimers/project links.

See the footer of e.g. https://www.mediawiki.org/wiki/Manual:Skinning?useskin=qqx

This makes it tough to address T317: "Terms of Use" must be prominently featured in the Developer Hub. Do we envision a footer in Blueprint, or something better?

Related Objects

StatusAssignedTask
Resolved Spage
Resolved Spage
Resolved Spage
Resolvedori
DeclinedNone
ResolvedNone
DeclinedNone
ResolvedAnomie
DeclinedNone
OpenNone
OpenNone
Resolved Spage
DeclinedNone
Resolvedjeropbrenda
OpenNone
DeclinedQgil
Resolved Spage
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
Resolved Spage
Resolved Spage
DeclinedNone
DeclinedNone
ResolvedVolker_E
ResolvedNone
DeclinedNone
DeclinedNone
ResolvedPrtksxna
ResolvedVolker_E

Event Timeline

Spage raised the priority of this task from to Normal.
Spage updated the task description. (Show Details)
Spage added projects: Web-APIs-Hub, Blueprint.
Spage added subscribers: Qgil, Spage, Aklapper.

Change 222103 had a related patch set uploaded (by Prtksxna):
Add footer using Mediawiki:Blueprint-footer

https://gerrit.wikimedia.org/r/222103

Prtksxna claimed this task.Jul 1 2015, 12:37 PM
Paladox raised the priority of this task from Normal to High.Aug 3 2015, 6:26 PM
Paladox set Security to None.

Ok sorry I just thought that this was a high priority to implant.

@Prtksxna: What's the difference between <footer> and <div class="printfooter"> in Mediawiki? What belongs where and for what reason?

@Prtksxna: What's the difference between <footer> and <div class="printfooter"> in Mediawiki? What belongs where and for what reason?

I couldn't find any documentation on mediawiki, but looking at what goes into .printfooter, resources/src/mediawiki.legacy/commonPrint.css, and resources/src/mediawiki.legacy/shared.css, I'd guess its for the print stylesheet.

Change 251217 had a related patch set uploaded (by Pastakhov):
Add footer (copyright/privacy/about/disclaimers/project links)

https://gerrit.wikimedia.org/r/251217

Change 222103 merged by jenkins-bot:
Add <footer> including using Mediawiki:Blueprint-footer

https://gerrit.wikimedia.org/r/222103

Prtksxna closed this task as Resolved.Dec 3 2015, 6:06 AM
Qgil awarded a token.Dec 3 2015, 8:17 AM
Volker_E moved this task from Needs Review / Feedback to Done on the Blueprint board.

Change 251217 abandoned by Prtksxna:
Add footer (copyright/privacy/about/disclaimers/project links)

Reason:
The skin is no longer maintained. Sorry :(

https://gerrit.wikimedia.org/r/251217